package com.andengine.blackdog.chapter4;

import org.andengine.opengl.texture.region.ITiledTextureRegion;
import org.andengine.opengl.vbo.VertexBufferObjectManager;

public class Hurdle extends GameObject {
	private static float VELOCITY = 400.0f; // 허들이 굴러오는 속도

	public Hurdle(final float pX, final float pY,
			final ITiledTextureRegion pTiledTextureRegion,
			final VertexBufferObjectManager pVertexBufferObjectManager) {
		super(pX, pY, pTiledTextureRegion, pVertexBufferObjectManager);
	}

	@Override
	public void move() {
		if (CharacterJump.rolling == true) {
			Rolling();
		}

	}

	private void Rolling() {
		// 게임의 재미를 위해서 시간이 늘어날수록 돌의 속도를 빠르게 하자.
		VELOCITY = VELOCITY
				+ Float.parseFloat(CharacterJump.calcuTimeString.toString());

		this.mPhysicsHandler.setVelocityX(VELOCITY);
		// 허들이 다 구르고 나면 허들값을 false로 변경
		CharacterJump.rolling = false;
	}
}
